TTTT Analysis 0.1

Private Member Functions | List of all members
fv::root::ContainerTH1DMany Class Reference
Inheritance diagram for fv::root::ContainerTH1DMany:
[legend]
Collaboration diagram for fv::root::ContainerTH1DMany:
[legend]

## Private Member Functions
void | _do_fill (std::vector< double > &val)

## Additional Inherited Members
Public Member Functions inherited from fv::root::ContainerTH1< std::vector< double >, double >
| ContainerTH1 (const std::string &name, const std::string &title, GenValue *value, int nbins, double low, double high)
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< TH1 >
| Container (const std::string &name, TH1 *container)
virtual TH1 * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)
Protected Attributes inherited from fv::root::ContainerTH1< std::vector< double >, double >
std::string | title
int | nbins
double | low
double | high
Value< std::vector< double > > * | value
Protected Attributes inherited from fv::Container< TH1 >
TH1 * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp